Retrieve Solana collection NFTs

Returns all NFTs for a given collection. Can be set to include the NFT metadata or all which returns extra information.

NFTPort has generated unique collection_id for every Solana collection.

Find collection_id from: Mint address or Account address

Useful for:

  • Importing all NFTs from a given collection to your application.

Related:

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

Collection ID from which to query NFTs. The collection_id is an off-chain ID generated by NFTPort. The field also accepts the on_chain_collection_key if the collection has one.

Query Params
integer
≥ 1
Defaults to 1

The page number of the results to return. The first page is 1.

integer
1 to 50
Defaults to 50

The number of results returned per page. Limit can range between 1 and 50, and the default is 50.

include
array of objects
required
Defaults to metadata

Include optional data in the response. default is the minimal response, metadata includes NFT metadata and cached_file_url, and all includes extra information like file_information and mint_date in Retrieve NFT details. Fields can be combined to get desired result.

include*

An enumeration.

boolean
Defaults to false

Queues and refreshes all the NFTs metadata inside the collection (i.e. all tokens) if they have changed since the updated_date. Useful for example, when NFT collections are revealed.

Response

nfts property that contains an array of up to page_size NFTs. Each entry in the array is a separate NFT. If no more NFTs are available, the resulting array will be empty.

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json